=== debian/changelog ===
ros-rolling-stomp (0.1.2-2jammy) jammy; urgency=high



 -- Jorge Nicho <jrgnichodevel@gmail.com>  Fri, 17 Feb 2023 08:00:00 -0000

ros-rolling-stomp (0.1.1-2jammy) jammy; urgency=high



 -- Jorge Nicho <jrgnichodevel@gmail.com>  Fri, 24 Mar 2017 07:00:00 -0000

ros-rolling-stomp (0.1.0-2jammy) jammy; urgency=high

  * Initial release
  * Contributors: Levi H Armstrong, Jorge Nicho

 -- Jorge Nicho <jrgnichodevel@gmail.com>  Tue, 14 Mar 2017 07:00:00 -0000
